Forge Home

activemq

To Download, Archive & Install Apache ActiveMQ 5.9.0

9,161 downloads

8,368 latest version

1.6 quality score

Version information

  • 0.6.0 (latest)
  • 0.5.0 (deleted)
  • 0.4.0 (deleted)
  • 0.3.0 (deleted)
  • 0.2.0 (deleted)
  • 0.1.0 (deleted)
released Mar 15th 2016
This version is compatible with:
  • Puppet Enterprise 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 3.8.4 < 5.0.0
  • CentOS, Debian

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'benforge-activemq', '0.6.0'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add benforge-activemq
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install benforge-activemq --version 0.6.0

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

benforge/activemq — version 0.6.0 Mar 15th 2016

ActiveMQ Puppet Module

====================

Puppet Module to download, extract & install Apache ActiveMQ 5.9.0 version.

Module Description


ActiveMQ puppet module manage to download apache-activemq version 5.9.0 from apache website, extract and finally start the ActiveMQ in the puppet agent.

Usage


Create a puppet manifest in the puppet master.

Include the activemq package inside the manifest.

    include activemq

Retrieve the catalog changes from puppet agent in case if its manually configured or wait for the runtime interval configured in case if its automatically configured.

    puppet agent -t -d

Restart the shell or terminal after activemq package is installed. This will set the path of apache-activemq-5.9.0 in the default environment path variable.

      content => 'export PATH=/usr/local/bin:/usr/bin:/opt/apache-activemq-5.9.0/bin/'

The activemq service is started by the below start command in the init.pp file

    start  => '/opt/apache-activemq-5.9.0/bin/activemq start'

Limitations


Tested on CentOS and Debian. To be tested on other flavors.

Authors


This module is based on work by Ben Nathan and Ram Vittal.

Contact Information